
return function(gate)
	gate.brickcolor = 0
	gate.brickcolorfx = 0
	gate.brickshapefx = 0
	gate.brickray = 0
	gate.brickcol = 0
	gate.brickren = 0
	gate.waiting = true
	gate.robotpos = {0, 0, 0}
	gate.robotdir = 0
end
